#!/bin/sh
# postrm script for ymc-mysql-config
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <overwriter>
#          <overwriter-version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

ymc_mysql_config_dir="/etc/mysql/ymc-mysql-config"

case "$1" in
  purge|disappear)
  if [ -e "$ymc_mysql_config_dir" ] || \
     [ -L "$ymc_mysql_config_dir" ]; then
      echo "INFO: Removing $ymc_mysql_config_dir"
      if [ -d "$ymc_mysql_config_dir" ]; then
        rm -rf $ymc_mysql_config_dir
      else
        rm -f $ymc_mysql_config_dir
      fi
      echo "INFO: Removed $ymc_mysql_config_dir"
    fi
  ;;

  remove)
    echo "WARNING: You need to purge ymc-mysql-config to get really rid of it!!!"
  ;;

  upgrade|failed-upgrade|abort-install|abort-upgrade)
  ;;

  *)
    echo "postrm called with unknown argument \`$1'" >&2
    exit 1
  ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


